Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2011-12-27 Assigned To: Rens Admiraal
Updated: 2012-08-31 Due date:
Subject: Access check on page nodes is broken
Description

When a page node has accessRoles configured the $node->isAccessible() check in NodeController->showAction throws an error
because the securityContext is not yet initialized. This should be fixed in a way which is only initializing the securityContext if really
needed to prevent session initialization whenever possible.

Related issues:
duplicated by TYPO3.TYPO3CR - Bug # 32667: TYPO3\TYPO3CR\Exception\NodeExcept... Resolved 2011-12-18

Associated revisions
Revision 8e59f8cc - 2012-01-20 12:47 - Rens Admiraal

[BUGFIX] Fix accessRole check on page nodes

Change the Node object so it has a separate method to
check if access restrictions are active. Besides that
we remove the thrown error as the $securityContext->hasRole()
takes care of the securityContext initialization if needed.

This fixes the securityContext not yet initialized error
in the Phoenix Frontend/NodeController->showAction() method.

Change-Id: Ia54f308b6a5fb4f841978fe6293a075037232467
Fixes: #32841
Releases: 1.0, 1.1

History
#1 - 2011-12-27 16:46 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7623

#2 - 2011-12-27 16:56 - Rens Admiraal
- Status changed from New to Under Review

#3 - 2012-01-05 14:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7623

#4 - 2012-01-05 14:42 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7684

#5 - 2012-01-05 14:48 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7685

#6 - 2012-01-07 22:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7685

#7 - 2012-01-07 22:24 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7684

#8 - 2012-01-07 23:01 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7685

#9 - 2012-01-07 23:02 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7685

#10 - 2012-01-20 12:47 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7685

#11 - 2012-01-20 13:04 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7684

#12 - 2012-01-20 13:08 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7684

#13 - 2012-01-21 02:41 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8e59f8ccd48ab5cbb86666bd72ec9c792881368c.

#14 - 2012-01-29 21:38 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/8763

#15 - 2012-02-29 18:13 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/8763

#16 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
